v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/randlistdesigns
Retrieves a randomization design list. Rights: OrsRandListGet, OrsUnblinded. Added new field: useSequenceNumber.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object RndListDesignList
Title:
RndListDesignListContains randomization list with associated randomization designs.
Nested Schema : RndListDesignList
Type:
objectTitle:
RndListDesignListContains randomization list with associated randomization designs.
Show Source
-
randDesigns: array
randDesigns
-
randListId: string
(uuid)
Unique ID for randomization list.Example:
00000000-0000-0000-0000-000000000001 -
randListName: string
Randomization list nameExample:
UPL_RL191_V1001 -
randomizationSeed: number
(double)
Title:
Randomization SeedSeed number.Example:5 -
useSequenceNumber: boolean
Title:
useSequenceNumberIndicates whether the randomization list includes a sequence number.Example:false
Nested Schema : randDesigns
Type:
Show Source
array-
Array of:
object RndListDesign
Title:
RndListDesignContains Randomization design detail.
Nested Schema : RndListDesign
Type:
objectTitle:
RndListDesignContains Randomization design detail.
Show Source
-
randDesignName: string
Randomization design nameExample:
UPL_RL191_V1001 -
randDesignSrcId: string
(uuid)
Unique ID for randomization design.Example:
00000000-0000-0000-0000-000000000001 -
studyVersion: string
String representing the version of the study configuration or protocol. Helps track changes in form or study design.Example:
1.0.0.1
404 Response
For invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object